Mailinglist Archive: opensuse-security-announce (32 mails)

< Previous Next >
[security-announce] openSUSE-SU-2014:0797-1: critical: Mozilla updates 2014/06
openSUSE Security Update: Mozilla updates 2014/06
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0797-1
Rating: critical
References: #881874
Cross-References: CVE-2014-1533 CVE-2014-1534 CVE-2014-1536
CVE-2014-1537 CVE-2014-1538 CVE-2014-1541
CVE-2014-1545
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that fixes 7 vulnerabilities is now available.

Description:

These updates contain the latest security and maintenance updates for
- Mozilla Firefox 24.6esr
- Mozilla Thunderbird 24.6
- Mozilla NSPR is also updated to 4.10.6

to fix
* MFSA 2014-48/CVE-2014-1533/CVE-2014-1534 Miscellaneous memory safety
hazards
* MFSA 2014-49/CVE-2014-1536/CVE-2014-1537/CVE-2014-1538 Use-after-free
and out of bounds issues found using Address Sanitizer
* MFSA 2014-52/CVE-2014-1541 Use-after-free with SMIL Animation Controller
* MFSA 2014-55/CVE-2014-1545 Out of bounds write in NSPR


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2014-64

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

MozillaFirefox-24.6.0-115.1
MozillaFirefox-branding-upstream-24.6.0-115.1
MozillaFirefox-buildsymbols-24.6.0-115.1
MozillaFirefox-debuginfo-24.6.0-115.1
MozillaFirefox-debugsource-24.6.0-115.1
MozillaFirefox-devel-24.6.0-115.1
MozillaFirefox-translations-common-24.6.0-115.1
MozillaFirefox-translations-other-24.6.0-115.1
MozillaThunderbird-24.6.0-97.1
MozillaThunderbird-buildsymbols-24.6.0-97.1
MozillaThunderbird-debuginfo-24.6.0-97.1
MozillaThunderbird-debugsource-24.6.0-97.1
MozillaThunderbird-devel-24.6.0-97.1
MozillaThunderbird-translations-common-24.6.0-97.1
MozillaThunderbird-translations-other-24.6.0-97.1
enigmail-1.6.0+24.6.0-97.1
mozilla-nspr-4.10.6-44.1
mozilla-nspr-debuginfo-4.10.6-44.1
mozilla-nspr-debugsource-4.10.6-44.1
mozilla-nspr-devel-4.10.6-44.1

- openSUSE 11.4 (x86_64):

mozilla-nspr-32bit-4.10.6-44.1
mozilla-nspr-debuginfo-32bit-4.10.6-44.1

- openSUSE 11.4 (ia64):

mozilla-nspr-debuginfo-x86-4.10.6-44.1
mozilla-nspr-x86-4.10.6-44.1


References:

http://support.novell.com/security/cve/CVE-2014-1533.html
http://support.novell.com/security/cve/CVE-2014-1534.html
http://support.novell.com/security/cve/CVE-2014-1536.html
http://support.novell.com/security/cve/CVE-2014-1537.html
http://support.novell.com/security/cve/CVE-2014-1538.html
http://support.novell.com/security/cve/CVE-2014-1541.html
http://support.novell.com/security/cve/CVE-2014-1545.html
https://bugzilla.novell.com/881874

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages